Version: 2020.04.20
Release: 1%{?dist}
URL:     https://fontlibrary.org/en/font/klaudia-and-berenika

%global foundry           wmk69
%global fontlicense       OFL

%global common_summary Font families based on Celtic inscriptions and Celtic-looking fonts
%global common_description %{expand:
Font designed by Wojciech Kalinowski. \
\
This family is based on Celtic inscriptions and Celtic-looking fonts, my old \
and new ideas and things I once saw (but I don't know when...) \
Klaudia is the first part of two fonts family. The second part is Berenika.
}

%global fontfamily0       Klaudia
%global fontsummary0      Klaudia family based on Celtic inscriptions and Celtic-looking fonts
%global fonts0            Klaudia/*.ttf
%global fontconfs0        %{SOURCE1}
%global fontlicenses0     "Klaudia/SIL - Open Font License.txt"
%global fontdocs0         Klaudia/FONTLOG.txt
%global fontdescription0  %{expand:%{common_description}}

# Declaration for the subpackage containing the second font family.
%global fontfamily1       Berenika
%global fontsummary1      Berenika family based on Celtic inscriptions and Celtic-looking fonts
%global fonts1            Berenika/*.ttf
%global fontconfs1        %{SOURCE2}
%global fontlicenses1     "Berenika/SIL - Open Font License.txt"
%global fontdocs1         Berenika/FONTLOG.txt
%global fontdescription1  %{expand:%{common_description}}


Source0: https://fontlibrary.org/assets/downloads/klaudia-and-berenika/582d4c15b08348f8034c26f136fbb858/klaudia-and-berenika.zip
Source1: 64-wmk69-berenika.conf
Source2: 64-wmk69-klaudia.conf

%fontpkg -a

# “fontmetapkg” will generate a font meta(sub)package header for all the font
# subpackages generated in this spec. Optional arguments:
# – “-n [name]”      use [name] as metapackage name
# – “-s [variable]”  use the content of [variable] as metapackage summary
# – “-d [variable]”  use the content of [variable] as metapackage description
# – “-z [numbers]”   restrict metapackaging to [numbers] comma-separated list
#                    of font package suffixes
%fontmetapkg -n wmk69-klaudia-and-berenika-fonts -s common_summary -d common_description

%prep
%setup -c %{name}-%{version}
mv "Klaudia and Berenika"/* .

%build
%fontbuild -a

%install
%fontinstall -a

%check
%fontcheck -a

%fontfiles -a

%changelog
